# -*- coding: utf-8 -*-
<Reporter>:
    name: "Reporter"
    RelativeLayout:
        canvas.before:
            Color:
                rgba: 0,0,0,0#bg_col
            Rectangle:
                size: self.size
                pos: self.pos
        Image:
            size_hint: 1, 1
            canvas:
                Color:
                    rgb: (1, 1, 1)
                Rectangle:
                    texture: self.texture
                    size: self.width + 20, self.height + 20
                    pos: self.x - 10, self.y - 10
            source: 'data/bg.jpg'


        BoxLayout:
            size_hint: 0.333,0.8
            pos_hint:{'center_y':0.5,'x':0}
            padding: 30,0,30,0
            canvas.before:
                Color:
                    rgba: 1,1,0,0
                Rectangle:
                    size: self.size
                    pos: self.pos
            Button_f:
                size_hint: 0.9, 0.7
                pos_hint:{'center_y':0.5}
                color: 0,0,1,1
                font_size: 40
                text: strs.report_fardi
                background_normal: 'data/rp_bg.jpg'

        BoxLayout:
            size_hint: 0.666,0.8
            pos_hint:{'center_y':0.5,'right':1}
            padding: 30,0,30,0
            spacing: 30
            canvas.before:
                Color:
                    rgba: 1,0.4,1,0
                Rectangle:
                    size: self.size
                    pos: self.pos
            Button_f:
                size_hint: 0.4, 0.7
                pos_hint:{'center_y':0.5}
                font_size: 40
                color: 1,.6,.7,1
                text:strs.feeli
                background_normal: 'data/rp_bg.jpg'

            Button_f:
                size_hint: 0.4, 0.7
                pos_hint:{'center_y':0.5}
                color: 1,0.6,0.7,1
                font_size: 40
                text: strs.relativelye
                background_normal: 'data/rp_bg.jpg'
        Label_f:
            color: 0,0,0,1
            text: strs.report_group
            font_size: 40
            size_hint: None, None
            size: 200,80
            pos_hint:{'top': 0.86,'x':0.08}

            canvas.before:
                Color:
                    rgba: 200/256.0, 66/256.0, 244/256.0,0.7

                RoundedRectangle:
                    size: self.size
                    pos: self.pos
                    radius: [30,]

        Label_f:
            color: 0,0,0,1
            text: "گزارش فردی"
            size_hint: None, None
            font_size: 40
            size: 200,80
            pos_hint:{'top': 0.86,'x':0.58}

            canvas.before:
                Color:
                    rgba: 200/256.0, 66/256.0, 244/256.0,0.7

                RoundedRectangle:
                    size: self.size
                    pos: self.pos
                    radius: [30,]
